<?php
    session_start();
	if ( empty($_SESSION['login']) ) {
        header( 'Location: login.php' );
        die;
	}

    include 'include/database.php';

    $connection = connect($database);

    $canAdmin = canAdministrate($connection, $_SESSION['login']);
    
    if ($canAdmin) {
        $room_id = getRoomIdCG($connection, $_POST['campus'], $_POST['building'], $_POST['room']);
        return deleteRoomCG($connection, $room_id);
    }
?>